%bcond_without dom4j

Name:           jaxen
Summary:        An XPath engine written in Java
Epoch:          0
Version:        1.2.0
Release:        %mkrel 6
Group:          Development/Java
License:        BSD

URL:            https://github.com/jaxen-xpath/jaxen
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jdom:jdom)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)
%if %{with dom4j}
BuildRequires:  mvn(dom4j:dom4j)
%endif

%description
Jaxen is an open source XPath library written in Java. It is adaptable
to many different object models, including DOM, XOM, dom4j, and JDOM.
Is it also possible to write adapters that treat non-XML trees such as compiled
Java byte code or Java beans as XML, thus enabling you to query these trees
with XPath too.


%package        demo
Summary:        Samples for %{name}
Requires:       %{name} = 0:%{version}-%{release}

%description    demo
%{summary}.


%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.


%prep
%setup -q

# remove unnecessary maven plugins
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

%if %{without dom4j}
rm -rf src/java/main/org/jaxen/dom4j
%pom_remove_dep dom4j:dom4j
%endif

rm -rf src/java/main/org/jaxen/xom
%pom_remove_dep xom:xom

%mvn_file : %{name}


%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8


%install
%mvn_install

# demo
install -d -m 755 %{buildroot}%{_datadir}/%{name}/samples
cp -pr src/java/samples/* %{buildroot}%{_datadir}/%{name}/samples


%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%files demo
%{_datadir}/%{name}




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0:1.2.0-6.mga10
+ Revision: 2223416
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 0:1.2.0-5.mga10
+ Revision: 2067071
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 0:1.2.0-4.mga9
+ Revision: 1827619
- Mageia 9 Mass Rebuild

* Tue Oct 27 2020 tv <tv> 0:1.2.0-3.mga8
+ Revision: 1639821
- Fix javac source / target versions for Java 11

* Sat Feb 15 2020 umeabot <umeabot> 0:1.2.0-2.mga8
+ Revision: 1528626
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 0:1.2.0-1.mga8
+ Revision: 1431607
- Update to version 1.2.0

* Tue Sep 18 2018 umeabot <umeabot> 0:1.1.6-12.mga7
+ Revision: 1263882
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 0:1.1.6-11.mga6
+ Revision: 1103232
- Rebuild against fixed java stack
- Add missing build-requires

* Wed Mar 02 2016 neoclust <neoclust> 0:1.1.6-9.mga6
+ Revision: 982339
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:1.1.6-8.mga6
+ Revision: 976540
- First rebuild of the java stack
- sync package jaxen with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0:1.1.6-6.mga5
+ Revision: 807160
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.6-5.mga5
+ Revision: 749293
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Oct 22 2013 umeabot <umeabot> 0:1.1.6-2.mga4
+ Revision: 541758
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 0:1.1.6-1.mga4
+ Revision: 496438
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:1.1.2-3.mga3
+ Revision: 354873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 gil <gil> 0:1.1.2-2.mga2
+ Revision: 165192
- added m2 pom, cleaned spec file

* Sun Jan 16 2011 dmorgan <dmorgan> 0:1.1.2-1.2.mga1
+ Revision: 20238
- imported package jaxen


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.1.2-1.2mdv2011.0
+ Revision: 606075
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.1.2-1.1mdv2010.1
+ Revision: 523068
- rebuilt for 2010.1

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.1.2-1.0mdv2009.1
+ Revision: 342367
- New upstream release
- New upstream release

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:1.1.1-1.4mdv2009.0
+ Revision: 136503
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.1-1.4mdv2008.1
+ Revision: 120932
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.1-1.3mdv2008.0
+ Revision: 87427
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0:1.1.1-1.2mdv2008.0
+ Revision: 82794
- update to new version

* Thu May 17 2007 David Walluck <walluck@mandriva.org> 0:1.1.1-1.1mdv2008.0
+ Revision: 27665
- 1.1.1

* Mon Apr 23 2007 David Walluck <walluck@mandriva.org> 0:1.1-1.2.1mdv2008.0
+ Revision: 17680
- Import jaxen



* Mon Apr 23 2007 David Walluck <walluck@mandriva.org> 0:1.1-1.2.1mdv2008.0
- release

* Tue Feb 20 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.1-1jpp.2.fc7
- Add build-requires on ant-junit

* Mon Feb 19 2007 Andrew Overholt <overholt@redhat.com> 0:1.1-1jpp.1
- Add explicit version-release on Provides and Obsoletes
- Untabify
- Remove %%ghost on versioned javadoc dir
- Just include %%{_javadocdir}/* for javadoc package

* Wed Feb 14 2007 Andrew Overholt <overholt@redhat.com> 0:1.1-1jpp.1
- Bump to 1.1 final
- Make release Xjpp.Y%%{?dist}
- Remove Distribution, Vendor
- Fix Group
- Remove cleaning of buildroot from beginning of %%prep
- Add cleaning of buildroot to beginning of %%install
- Remove %%section free
- Use Fedora buildroot

* Sun Feb 26 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.1-0.b7.4jpp
- Rebuild for JPP 1.7

* Wed Feb 15 2006 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b7.3jpp
- Insert Copyright notice

* Mon Feb 13 2006 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b7.2jpp
- Adapt to maven-1.1
- Create option to build without maven

* Wed Aug 17 2005 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b7.1jpp
- Upgrade to 1.1-beta-7
- Now mavenized
- Requiring dom4j >= 1.6.1
- rpmbuild option to inhibit build of manual (needs newer maven)

* Thu Sep 09 2004 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b2.1jpp
- Upgrade to 1.1-beta-2
- Drop saxpath requirement as saxpath is now included in jaxen

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-4jpp
- Rebuild with ant-1.6.2
* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-3jpp
- build against dom4j-1.4-1jpp
- introduce manual and demo subpackages
- patch org.jaxen.dom4j.DocumentNavigatorTest
- include LICENSE in main package
- run tests during build

* Thu Jan 15 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- activate support for dom4j by renaming lib/dom4j-core.jar to .zip

* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
